HomeGuidesAPI ReferenceChangelog
Log In
API Reference

List Calendars

Return full or filtered calendar definitions for a utility, including holiday, billing, and pricing period calendars.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this endpoint to return full or filtered calendar definitions for a utility.

When to use this endpoint

Use GET /rest/public/calendars when you need to:

  • Find holiday calendars that affect tariff time-of-use periods.
  • Find billing calendars for a specific Load Serving Entity (LSE).
  • Find pricing period calendars for dynamic events such as critical peaks or smart days.
  • Get the calendarId needed to retrieve one calendar or query calendar dates.

Common filters

ParameterTypeDescription
lseIdLongFilters calendars to a specific LSE. Use this when you already know the utility.
calendarTypeStringFilters calendars by type. Supported values are HOLIDAY, BILLING, and PRICING_PERIOD.

Example request

GET /rest/public/calendars?lseId=734&calendarType=HOLIDAY

Example response

{
  "status": "success",
  "count": 5,
  "type": "Calendar",
  "results": [
    {
      "calendarId": 2,
      "calendarName": "Holidays",
      "calendarType": "HOLIDAY",
      "lseId": 734
    },
    {
      "calendarId": 86,
      "calendarName": "Holidays",
      "calendarType": "HOLIDAY",
      "lseId": 734
    },
    {
      "calendarId": 634,
      "calendarName": "Holiday-Peaks",
      "calendarType": "HOLIDAY",
      "lseId": 734
    },
    {
      "calendarId": 646,
      "calendarName": "Holidays - Summer",
      "calendarType": "HOLIDAY",
      "lseId": 734
    },
    {
      "calendarId": 647,
      "calendarName": "Holidays - Winter",
      "calendarType": "HOLIDAY",
      "lseId": 734
    }
  ],
  "pageStart": 0,
  "pageCount": 25
}

Related endpoints

Related endpoints

Query Params
int64

Load serving entity id

string

Type of calendar. Can be either HOLIDAY, BILLING, or PRICING_PERIOD (Optional).

date

from date (Optional)

date
Defaults to to date (Optional)
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json